## soprano 2.5.63+dfsg.1

=== CMakeLists.txt ===
project(soprano)

cmake_minimum_required(VERSION 2.6.2)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

##################  Soprano version  ################################
set(CMAKE_SOPRANO_VERSION_MAJOR 2)
set(CMAKE_SOPRANO_VERSION_MINOR 5)
set(CMAKE_SOPRANO_VERSION_RELEASE 63)
set(CMAKE_SOPRANO_VERSION_STRING "${CMAKE_SOPRANO_VERSION_MAJOR}.${CMAKE_SOPRANO_VERSION_MINOR}.${CMAKE_SOPRANO_VERSION_RELEASE}")


##################  User options  ################################

option(SOPRANO_BUILD_TESTS "Build all unit tests")
option(SOPRANO_DISABLE_REDLAND_BACKEND "Disable compilation of Redland storage backend")
option(SOPRANO_DISABLE_SESAME2_BACKEND "Disable compilation of Sesame2 storage backend")
option(SOPRANO_DISABLE_VIRTUOSO_BACKEND "Disable compilation of Virtuoso storage backend")
option(SOPRANO_DISABLE_CLUCENE_INDEX "Disable compilation of Clucene-based full-text index")
option(SOPRANO_DISABLE_RAPTOR_PARSER "Disable compilation of Raptor parser plugin")
option(SOPRANO_DISABLE_RAPTOR_SERIALIZER "Disable compilation of Raptor RDF serializer plugin")
option(SOPRANO_DISABLE_DBUS "Disable D-Bus integration")
option(SOPRANO_BUILD_API_DOCS "Build Soprano API documentation")

if(SOPRANO_BUILD_TESTS)
  enable_testing()
endif(SOPRANO_BUILD_TESTS)

if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)

include(SopranoCPack.cmake)

##################  find packages  ################################

set(QT_MIN_VERSION "4.5.0")
find_package(Qt4 REQUIRED)
# properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
include(${QT_USE_FILE})

if(NOT SOPRANO_DISABLE_RAPTOR_PARSER OR NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER OR NOT SOPRANO_DISABLE_REDLAND_BACKEND)
  find_package(Rasqal)
  find_package(Raptor)
  find_package(Redland)

  if(WIN32)
    if(NOT REDLAND_VERSION)
      set(REDLAND_VERSION "1.0.3")
      message(STATUS "Windows currently only has Redland version 1.0.3")
    endif(NOT REDLAND_VERSION)
  endif(WIN32)
endif(NOT SOPRANO_DISABLE_RAPTOR_PARSER OR NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER OR NOT SOPRANO_DISABLE_REDLAND_BACKEND)

if(NOT SOPRANO_DISABLE_CLUCENE_INDEX)
  find_package(CLucene)
  if(CLucene_FOUND)
    if(CLUCENE_VERSION AND CLUCENE_VERSION VERSION_GREATER "0.9.19" OR CLUCENE_VERSION VERSION_EQUAL "0.9.19")
      set(CL_VERSION_19_OR_GREATER TRUE)
    endif(CLUCENE_VERSION AND CLUCENE_VERSION VERSION_GREATER "0.9.19" OR CLUCENE_VERSION VERSION_EQUAL "0.9.19")
    set(SOPRANO_BUILD_INDEX_LIB 1 CACHE INTERNAL "Soprano Index is built" FORCE)
  endif(CLucene_FOUND)
endif(NOT SOPRANO_DISABLE_CLUCENE_INDEX)

if(NOT SOPRANO_DISABLE_SESAME2_BACKEND)
  find_package(JNI)
  if(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    file(READ ${JAVA_INCLUDE_PATH}/jni.h jni_header_data)
    string(REGEX MATCH "JNI_VERSION_1_4" JNI_1_4_FOUND "${jni_header_data}")
    if(JNI_1_4_FOUND)
      message(STATUS "Found Java JNI >= 1.4: ${JAVA_INCLUDE_PATH}, ${JAVA_JVM_LIBRARY}")
    else(JNI_1_4_FOUND)
      message( "Need JNI version 1.4 or higher for the Sesame2 backend.")
    endif(JNI_1_4_FOUND)
  else(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
    message(STATUS "Could not find Java JNI")
    if("$ENV{JAVA_HOME}" STREQUAL "")
      message("Make sure JAVA_HOME is set")
    endif("$ENV{JAVA_HOME}" STREQUAL "")
  endif(JAVA_INCLUDE_PATH AND JAVA_JVM_LIBRARY)
endif(NOT SOPRANO_DISABLE_SESAME2_BACKEND)

if(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
if(WIN32)
  include(CheckIncludeFiles)
  check_include_files("windows.h;sql.h" HAVE_SQL_H)
else(WIN32)
  find_package(IODBC)
endif(WIN32)
endif(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)


##################  setup variables  ################################
if(REDLAND_FOUND)
   macro_ensure_version( "1.0.5" ${REDLAND_VERSION} REDLAND_VERSION_GOOD )
endif(REDLAND_FOUND)

if(REDLAND_FOUND AND NOT SOPRANO_DISABLE_REDLAND_BACKEND)
  set(BUILD_REDLAND_BACKEND TRUE)
endif(REDLAND_FOUND AND NOT SOPRANO_DISABLE_REDLAND_BACKEND)
if(JNI_1_4_FOUND AND NOT SOPRANO_DISABLE_SESAME2_BACKEND)
  set(BUILD_SESAME2_BACKEND TRUE)
endif(JNI_1_4_FOUND AND NOT SOPRANO_DISABLE_SESAME2_BACKEND)
if(SOPRANO_BUILD_INDEX_LIB AND NOT SOPRANO_DISABLE_CLUCENE_INDEX)
  set(BUILD_CLUCENE_INDEX TRUE)
endif(SOPRANO_BUILD_INDEX_LIB AND NOT SOPRANO_DISABLE_CLUCENE_INDEX)
if(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_PARSER)
  set(BUILD_RAPTOR_PARSER TRUE)
endif(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_PARSER)
if(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER)
  set(BUILD_RAPTOR_SERIALIZER TRUE)
endif(RAPTOR_FOUND AND NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER)
if(NOT SOPRANO_DISABLE_DBUS AND QT_QTDBUS_FOUND)
  set(BUILD_DBUS_SUPPORT TRUE)
endif(NOT SOPRANO_DISABLE_DBUS AND QT_QTDBUS_FOUND)
if(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
  if(IODBC_FOUND OR HAVE_SQL_H)
    set(BUILD_VIRTUOSO_BACKEND TRUE)
  endif(IODBC_FOUND OR HAVE_SQL_H)
endif(NOT SOPRANO_DISABLE_VIRTUOSO_BACKEND)
set(HAVE_DBUS BUILD_DBUS_SUPPORT)

##################  setup install directories  ################################
set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name")
## the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")


# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH  TRUE)
set(CMAKE_INSTALL_RPATH                ${LIB_DESTINATION} )

if(APPLE)
   set(CMAKE_INSTALL_NAME_DIR ${LIB_DESTINATION})
endif(APPLE)


##################  some compiler settings ################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32 )
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
    include(CheckCXXCompilerFlag)
    check_cxx_compiler_flag(-fvisibility=hidden __SOPRANO_HAVE_GCC_VISIBILITY)
    check_cxx_compiler_flag(-fvisibility-inlines-hidden __SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
    if(__SOPRANO_HAVE_GCC_VISIBILITY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
    endif(__SOPRANO_HAVE_GCC_VISIBILITY)
    if(__SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
    endif(__SOPRANO_HAVE_GCC_INLINE_VISIBILITY)
endif(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32 )
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -Zc:wchar_t-)
endif(MSVC)
if(MINGW)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
endif(MINGW)

if(WINCE)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DSOPRANO_STATIC_LIBS)
else(WINCE)
  set(LIBRARY_TYPE SHARED)
endif(WINCE)


##################  add subdirectories ################################
if(BUILD_CLUCENE_INDEX)
   add_subdirectory(index)
endif(BUILD_CLUCENE_INDEX)
add_subdirectory(soprano)
add_subdirectory(backends)
add_subdirectory(parsers)
add_subdirectory(serializers)
add_subdirectory(server)
add_subdirectory(client)
add_subdirectory(tools)
add_subdirectory(rules)
add_subdirectory(includes)
if(SOPRANO_BUILD_TESTS)
  add_subdirectory(test)
endif(SOPRANO_BUILD_TESTS)
add_subdirectory(cmake)


##################  create pkgconfig files  ################################
if(NOT WIN32)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/soprano.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoclient.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoserver.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc @ONLY)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoindex.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc @ONLY)
  install(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc
    ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc
    DESTINATION
    ${PKGCONFIG_INSTALL_PREFIX})
endif(NOT WIN32)


##################  apidox ################################
find_package(Doxygen)

if(DOXYGEN_EXECUTABLE)
  configure_file(${soprano_SOURCE_DIR}/Doxyfile.cmake ${soprano_BINARY_DIR}/Doxyfile)
  set(QTDOCS_ONLINE "http://doc.qt.nokia.com/latest/")

  if(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS "${QT_DOC_DIR}/html")
  else(EXISTS ${QT_DOC_DIR}/html)
    set(QTDOCS ${QTDOCS_ONLINE})
  endif(EXISTS ${QT_DOC_DIR}/html)

  if(SOPRANO_BUILD_API_DOCS)
    add_custom_target(
      apidox ALL
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND docs/html/installdox -q -l qt4.tag@${QTDOCS} docs/html/*.html
      COMMENT "Building Soprano API docs...")
  else(SOPRANO_BUILD_API_DOCS)
    add_custom_target(
      apidox
      COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
      COMMAND docs/html/installdox -q -l qt4.tag@${QTDOCS} docs/html/*.html
      COMMENT "Building Soprano API docs...")
  endif(SOPRANO_BUILD_API_DOCS)

  add_custom_target(
    onlineapidox
    COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
    COMMAND docs/html/installdox -q -l qt4.tag@${QTDOCS_ONLINE} docs/html/*.html
    COMMENT "Building Soprano API docs...")

  add_custom_target(
    stabledox
    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/groups/s/so/soprano/htdocs/apidox/stable
    DEPENDS onlineapidox
    COMMENT "Uploading stable API docs to Sourceforge...")

  add_custom_target(
    trunkdox
    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/groups/s/so/soprano/htdocs/apidox/trunk
    DEPENDS onlineapidox
    COMMENT "Uploading trunk API docs to Sourceforge...")
endif(DOXYGEN_EXECUTABLE)


##################  status messages ################################
message("---------------------------------------------------------------------------------------")
message("-- Soprano Components that will be built:")
if(NOT BUILD_REDLAND_BACKEND AND NOT BUILD_SESAME2_BACKEND AND NOT BUILD_VIRTUOSO_BACKEND)
  message("   WARNING: No Soprano backends will be compiled!")
  message("   WARNING: Soprano will not be very useful without storage backends!")
endif(NOT BUILD_REDLAND_BACKEND AND NOT BUILD_SESAME2_BACKEND AND NOT BUILD_VIRTUOSO_BACKEND)
if(BUILD_REDLAND_BACKEND)
  message("   * Redland storage backend")
endif(BUILD_REDLAND_BACKEND)
if(BUILD_SESAME2_BACKEND)
  message("   * Sesame2 storage backend (java-based)")
endif(BUILD_SESAME2_BACKEND)
if(BUILD_VIRTUOSO_BACKEND)
  message("   * Virtuoso storage backend (Run-time dependency: Virtuoso)")
endif(BUILD_VIRTUOSO_BACKEND)

if(BUILD_RAPTOR_PARSER)
  message("   * Raptor RDF parser")
  if(RAPTOR_HAVE_TRIG)
    message("     (including TriG parser)")
  endif(RAPTOR_HAVE_TRIG)
endif(BUILD_RAPTOR_PARSER)

if(BUILD_RAPTOR_SERIALIZER)
  message("   * Raptor RDF serializer")
endif(BUILD_RAPTOR_SERIALIZER)

if(BUILD_CLUCENE_INDEX)
  message("   * The CLucene-based full-text search index library")
endif(BUILD_CLUCENE_INDEX)

if(BUILD_DBUS_SUPPORT)
  message("   * D-Bus server/client support")
endif(BUILD_DBUS_SUPPORT)


message("")
message("-- Soprano Components that will NOT be built:")
if(NOT BUILD_REDLAND_BACKEND)
  message("   * Redland storage backend (missing librdf/redland - http://librdf.org)")
endif(NOT BUILD_REDLAND_BACKEND)

=== debian/changelog ===
soprano (2.5.63+dfsg.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jan 2011 10:21:32 +0000

soprano (2.5.63~git2010119~dfsg-0ubuntu1) natty; urgency=low

  * Upstream git snapshot to support KDE 4.6 beta 1
    - Removed non-free materials using prune-nonfree target in debian rules
    - Updated symbols files

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Nov 2010 01:58:13 -0500

=== debian/control ===
Source: soprano
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
 libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3), librdf0-dev,
 doxygen (>= 1.7.1),
 graphviz, libiodbc2-dev
Standards-Version: 3.9.1
Homepage: http://soprano.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git

Package: soprano-daemon
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsoprano4 (= ${binary:Version})
Suggests: virtuoso-minimal
Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Replaces: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
Description: daemon for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4. Soprano is targeted at desktop applications that need to store RDF
 data. Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano daemon, D-Bus service, parser plugins, and a
 storage plugin for the Redland RDF Application Framework. This package is not
 intended to be neither directly installed nor used by end users. It will be
 installed automatically whenever needed.

Package: libsoprano4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, soprano-daemon (= ${binary:Version})
Conflicts: libsoprano3
Replaces: libsoprano3
Description: libraries for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains the Soprano core libraries, D-Bus service, parser
 plugins, and a storage plugin for the Redland RDF Application Framework.

Package: libsoprano-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsoprano4 (= ${binary:Version})
Suggests: libsoprano-doc (= ${source:Version})
Breaks: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Replaces: libsoprano4 (<< 2.1.64+svn897713), soprano-daemon (<< 2.4.0.1+dfsg.1)
Description: development files for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains development files for building software that uses the
 Soprano libraries.

Package: libsoprano-doc
Priority: extra
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: qt4-doc
Description: developer documentation for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains documentation for software developers using the Soprano
 RDF framework.

Package: libsoprano-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${misc:Depends}, libsoprano4 (= ${binary:Version})
Description: debugging symbols for the Soprano RDF framework
 Soprano is a pluggable RDF storage, parsing, and serialization framework based
 on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
 data.  Its API has been optimized for simplicity and ease of use, while its
 modular structure allows it to use various different RDF storage
 implementations as its backend.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the Soprano packages.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_CMAKE_EXTRA_FLAGS += -DSOPRANO_BUILD_API_DOCS=ON

DEB_DH_MAKESHLIBS_ARGS_libsoprano4 = -V

DEB_DH_SHLIBDEPS_ARGS_soprano-daemon = -- -xlibsoprano4

#build/libsoprano-doc::
#	cp qt4.tag $(DEB_BUILDDIR)/qt4.tag
# 	cd $(DEB_BUILDDIR) && $(MAKE) apidox

install/libsoprano-doc::
	mkdir -p $(DEB_DESTDIR)/usr/share/soprano/doc/html
	cp $(DEB_BUILDDIR)/docs/html/*.css \
	$(DEB_BUILDDIR)/docs/html/*.html \
	$(DEB_BUILDDIR)/docs/html/*.png \
	$(DEB_DESTDIR)/usr/share/soprano/doc/html/

binary-post-install/libsoprano-dev::
	doxytag -t debian/$(cdbs_curpkg)/usr/share/soprano/doc/soprano.tag \
		$(DEB_DESTDIR)/usr/share/soprano/doc/html

prune-nonfree:
	# Deleting binary blobs
	find \( -name *.jar -o -name *.class \) -print -delete

## soprano 2.6.0+dfsg.1

=== debian/changelog ===
soprano (2.6.0+dfsg.1-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.2: no changes needed.
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Use redland cflags (from redland-config) when building redland stuff. Fixes
    FTBFS due to missing /usr/include/raptor2 in the include path (patch
    redland_raptor2_support.h improved).
  * Update libsoprano4.symbols.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 12:52:37 +0300

soprano (2.6.0+dfsg.1-3) unstable; urgency=low

  * Fix symbol files to support both gcc 4.4 and Qt 4.6 configurations.
    Fixes FTBFS.

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Mar 2011 19:10:49 +0200

soprano (2.6.0+dfsg.1-2) unstable; urgency=low

  * Remove debian/README.source: not necessary as of 3.0 (quilt).
  * Add support for raptor V2 to the redland backend.
    (patch redland_raptor2_support.h) and start building it again
    (Closes: #615487)

 -- Modestas Vainius <modax@debian.org>  Tue, 22 Mar 2011 20:40:12 +0200

soprano (2.6.0+dfsg.1-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Switch debian/rules build engine to dhmk based qt-kde-team/2/*:
    - drop cdbs from Build-Depends;
    - bump pkg-kde-tools build dependency requirement to 0.11;
    - port debian/rules to dhmk;
    - set --builddirectory to Build/;
    - install libsoprano-doc files via libsoprano-doc.install.
  * Do not build redland backend till it works with raptor V2. (Closes: #615487)
    In the meantime, replace librdf0-dev (which needs raptor V2) with
    libraptor1-dev in order to build raptor parser/serializer.
  * Drop sequence number from the debian/patches/* files.
  * Generate soprano.tag while building docs (patch
    doxyfile_generate_tagfile.diff) and install the file to libsoprano-doc
    (/usr/share/soprano/doc/) rather than libsoprano-dev.
  * Update symbol file. (Closes: #615663)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 13 Mar 2011 17:07:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: soprano
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.6.2),
- pkg-kde-tools (>= 0.9), dpkg-dev (>= 1.15.5),
- libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3), librdf0-dev,
- doxygen (>= 1.7.1),
- graphviz, libiodbc2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+ dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
+ libraptor1-dev (>= 1.4.16), librdf0-dev (>= 1.0.13),
+ doxygen (>= 1.7.1), graphviz, libiodbc2-dev
+Standards-Version: 3.9.2
 Homepage: http://soprano.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git

=== debian/rules ===
#!/usr/bin/make -f

builddir = Build

dh = --builddirectory=$(builddir)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON

override_dh_install:
	$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_shlibdeps:
	$(overridden_command) -psoprano-daemon -- -xlibsoprano4
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libsoprano-dbg

prune-nonfree:
	# Deleting binary blobs
	find \( -name *.jar -o -name *.class \) -print -delete

## soprano 2.7.0+dfsg.1

=== debian/changelog ===
soprano (2.7.0+dfsg.1) oneiric; urgency=low

  * Initial release for Harmattan

 -- Laszlo Papp <lpapp@kde.org>  Sun, 10 Oct 2011 21:18:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: soprano
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Maintainer: Laszlo Papp <lpapp@kde.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
  dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
- libraptor1-dev (>= 1.4.16), librdf0-dev (>= 1.0.13),
- doxygen (>= 1.7.1), graphviz, libiodbc2-dev
+ libraptor2-dev, librdf0-dev (>= 1.0.13), doxygen (>= 1.7.1), libiodbc2-dev
 Standards-Version: 3.9.2
 Homepage: http://soprano.sourceforge.net
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git
 
 Package: soprano-daemon
 Section: utils
@@ -64,22 +61,22 @@
  This package contains development files for building software that uses the
  Soprano libraries.
 
-Package: libsoprano-doc
-Priority: extra
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Recommends: qt4-doc
-Description: developer documentation for the Soprano RDF framework
- Soprano is a pluggable RDF storage, parsing, and serialization framework based
- on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
- data.  Its API has been optimized for simplicity and ease of use, while its
- modular structure allows it to use various different RDF storage
- implementations as its backend.
- .
- This package contains documentation for software developers using the Soprano
- RDF framework.
-
+#Package: libsoprano-doc
+#Priority: extra
+#Section: doc
+#Architecture: all
+#Depends: ${misc:Depends}
+#Recommends: qt4-doc
+#Description: developer documentation for the Soprano RDF framework
+# Soprano is a pluggable RDF storage, parsing, and serialization framework based
+# on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
+# data.  Its API has been optimized for simplicity and ease of use, while its
+# modular structure allows it to use various different RDF storage
+# implementations as its backend.
+# .
+# This package contains documentation for software developers using the Soprano
+# RDF framework.
+#
 Package: libsoprano-dbg
 Priority: extra
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
-override_dh_auto_configure:
-	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON
+#override_dh_auto_configure:
+#	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON
 
 override_dh_install:
-	$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
+	#$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
 	$(overridden_command) --remaining-packages
 
 override_dh_makeshlibs:

## soprano 2.7.3+dfsg.1

=== debian/changelog ===
soprano (2.7.3+dfsg.1-1) experimental; urgency=low

  * New upstream release. (Closes: #641475)

  [ Daniele E. Domenichelli ]
  * Update libsoprano4.symbols.

  [ José Manuel Santamaría Lema ]
  * Pass -DSOPRANO_DISABLE_SESAME2_BACKEND=ON to cmake. (Closes: #649443)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:51 -0300

## soprano 2.7.4+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(soprano)
 
-cmake_minimum_required(VERSION 2.6.2)
+cmake_minimum_required(VERSION 2.6.4)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 ##################  Soprano version  ################################
 set(CMAKE_SOPRANO_VERSION_MAJOR 2)
-set(CMAKE_SOPRANO_VERSION_MINOR 5)
-set(CMAKE_SOPRANO_VERSION_RELEASE 63)
+set(CMAKE_SOPRANO_VERSION_MINOR 7)
+set(CMAKE_SOPRANO_VERSION_RELEASE 4)
 set(CMAKE_SOPRANO_VERSION_STRING "${CMAKE_SOPRANO_VERSION_MAJOR}.${CMAKE_SOPRANO_VERSION_MINOR}.${CMAKE_SOPRANO_VERSION_RELEASE}")
 
 
@@ -42,7 +42,7 @@
 
 if(NOT SOPRANO_DISABLE_RAPTOR_PARSER OR NOT SOPRANO_DISABLE_RAPTOR_SERIALIZER OR NOT SOPRANO_DISABLE_REDLAND_BACKEND)
   find_package(Rasqal)
-  find_package(Raptor)
+  find_package(Raptor 2.0.0)
   find_package(Redland)
 
   if(WIN32)
@@ -170,6 +170,9 @@
   set(LIBRARY_TYPE SHARED)
 endif(WINCE)
 
+# Soprano will handle large files in LockFile (Virtuoso DB files)
+add_definitions(-D_FILE_OFFSET_BITS=64)
+
 
 ##################  add subdirectories ################################
 if(BUILD_CLUCENE_INDEX)
@@ -195,15 +198,19 @@
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/soprano.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc @ONLY)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoclient.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc @ONLY)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoserver.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc @ONLY)
-  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoindex.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc @ONLY)
+
   install(
     FILES
     ${CMAKE_CURRENT_BINARY_DIR}/soprano.pc
     ${CMAKE_CURRENT_BINARY_DIR}/sopranoclient.pc
     ${CMAKE_CURRENT_BINARY_DIR}/sopranoserver.pc
-    ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc
     DESTINATION
     ${PKGCONFIG_INSTALL_PREFIX})
+
+  if(BUILD_CLUCENE_INDEX)
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sopranoindex.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc @ONLY)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sopranoindex.pc DESTINATION ${PKGCONFIG_INSTALL_PREFIX})
+  endif(BUILD_CLUCENE_INDEX)
 endif(NOT WIN32)
 
 
@@ -242,13 +249,13 @@
 
   add_custom_target(
     stabledox
-    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/groups/s/so/soprano/htdocs/apidox/stable
+    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/project-web/soprano/htdocs/apidox/stable
     DEPENDS onlineapidox
     COMMENT "Uploading stable API docs to Sourceforge...")
 
   add_custom_target(
     trunkdox
-    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/groups/s/so/soprano/htdocs/apidox/trunk
+    COMMAND rsync -zrtq docs/html/ $ENV{USER},soprano@web.sf.net:/home/project-web/soprano/htdocs/apidox/trunk
     DEPENDS onlineapidox
     COMMENT "Uploading trunk API docs to Sourceforge...")
 endif(DOXYGEN_EXECUTABLE)
@@ -288,11 +295,3 @@
 
 if(BUILD_DBUS_SUPPORT)
   message("   * D-Bus server/client support")
-endif(BUILD_DBUS_SUPPORT)
-
-
-message("")
-message("-- Soprano Components that will NOT be built:")
-if(NOT BUILD_REDLAND_BACKEND)
-  message("   * Redland storage backend (missing librdf/redland - http://librdf.org)")
-endif(NOT BUILD_REDLAND_BACKEND)

=== debian/changelog ===
soprano (2.7.4+dfsg.1-0ubuntu0.1) oneiric-proposed; urgency=low

  * Post release update for oneiric to resolve ongoing issues with Nepomuk
   (LP: #901888)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 16:40:13 -0500

soprano (2.7.4+dfsg.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 Dec 2011 10:35:08 -0500

soprano (2.7.3+dfsg.1-0ubuntu1) precise; urgency=low

  * Merge from Debian qt-kde git.  Remainding Ubuntu changes:
    - Build-depend on libraptor2-dev instead of libraptor1-dev
    - Use Ubuntu version numbers in debian//libsoprano4.symbols
    - Dropped debian/patches/redland_raptor2_support.h, no longer needed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Nov 2011 10:17:04 -0500

soprano (2.7.3+dfsg.1-0r0) UNRELEASED; urgency=low

  * New upstream release. (Closes: #641475)

  [ Daniele E. Domenichelli ]
  * Update libsoprano4.symbols.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 Sep 2011 23:43:58 +0100

soprano (2.7.0+dfsg.1-0ubuntu2) oneiric; urgency=low

  * No change rebuild to pick up Qt multiarch changes

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Aug 2011 14:19:42 -0400

soprano (2.7.0+dfsg.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Refresh symbols.
  * Build-depend on libraptor2-dev >= 2.0.4 instead of libraptor1-dev.
  * Drop redland_raptor2_support.h patch, not needed anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 05 Aug 2011 12:08:04 +0200

soprano (2.6.51+dfsg.1-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Harald Sitter ]
  * Make DFSG compliant

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Jul 2011 22:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: soprano
 Section: libs
 Priority: optional
-Maintainer: Laszlo Papp <lpapp@kde.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
  dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
- libraptor2-dev, librdf0-dev (>= 1.0.13), doxygen (>= 1.7.1), libiodbc2-dev
+ libraptor2-dev (>= 2.0.4), librdf0-dev (>= 1.0.13),
+ doxygen (>= 1.7.1), graphviz, libiodbc2-dev
 Standards-Version: 3.9.2
 Homepage: http://soprano.sourceforge.net
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git
 
 Package: soprano-daemon
 Section: utils
@@ -61,22 +65,22 @@
  This package contains development files for building software that uses the
  Soprano libraries.
 
-#Package: libsoprano-doc
-#Priority: extra
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends}
-#Recommends: qt4-doc
-#Description: developer documentation for the Soprano RDF framework
-# Soprano is a pluggable RDF storage, parsing, and serialization framework based
-# on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
-# data.  Its API has been optimized for simplicity and ease of use, while its
-# modular structure allows it to use various different RDF storage
-# implementations as its backend.
-# .
-# This package contains documentation for software developers using the Soprano
-# RDF framework.
-#
+Package: libsoprano-doc
+Priority: extra
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: qt4-doc
+Description: developer documentation for the Soprano RDF framework
+ Soprano is a pluggable RDF storage, parsing, and serialization framework based
+ on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
+ data.  Its API has been optimized for simplicity and ease of use, while its
+ modular structure allows it to use various different RDF storage
+ implementations as its backend.
+ .
+ This package contains documentation for software developers using the Soprano
+ RDF framework.
+
 Package: libsoprano-dbg
 Priority: extra
 Section: debug

## soprano 2.7.5+dfsg.1

=== debian/changelog ===
soprano (2.7.5+dfsg.1-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 08:46:11 +0100

soprano (2.7.4+dfsg.1-0ubuntu3) precise; urgency=low

  * Build without iODBC.  Closes: #639300, LP: #901638.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Mar 2012 07:59:48 +0000

soprano (2.7.4+dfsg.1-0ubuntu2) precise; urgency=low

  * debian/rules: Pass -DSOPRANO_DISABLE_SESAME2_BACKEND=ON to cmake to
    disable sesame2 backend. Patch forward ported from Debian's 2.7.3+dfsg.1-1
    to fix FTBFS. (LP: #903638)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Jan 2012 09:29:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.14.2ubuntu5),
  dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
  libraptor2-dev (>= 2.0.4), librdf0-dev (>= 1.0.13),
- doxygen (>= 1.7.1), graphviz, libiodbc2-dev
+ doxygen (>= 1.7.1), graphviz, libvirtodbc0, unixodbc-dev
 Standards-Version: 3.9.2
 Homepage: http://soprano.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
@@ -16,7 +16,7 @@
 Package: soprano-daemon
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libvirtodbc0, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libsoprano4 (= ${binary:Version})
 Suggests: virtuoso-minimal
 Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
-#override_dh_auto_configure:
-#	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON
+override_dh_auto_configure:
+	$(overridden_command) -- -DSOPRANO_BUILD_API_DOCS=ON -DSOPRANO_DISABLE_SESAME2_BACKEND=ON
 
 override_dh_install:
-	#$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
+	$(overridden_command) -plibsoprano-doc --sourcedir=$(builddir)
 	$(overridden_command) --remaining-packages
 
 override_dh_makeshlibs:

## soprano 2.7.6+dfsg.1

=== debian/changelog ===
soprano (2.7.6+dfsg.1-2wheezy1) testing-proposed-updates; urgency=low

  * Team upload.
  * Upload to testing-proposed-updates.
  * Add dont_use_virtuoso_default_port.diff, prevents hangs when installing or
    running virtuoso as a standalone server.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 01 Mar 2013 16:56:04 +0100

soprano (2.7.6+dfsg.1-2) unstable; urgency=low

  * Team upload.
  * soprano.tag moved in since 2.6.0+dfsg.1-1 from libsoprano-dev to
    libsoprano-doc, so add proper breaks/replaces. (Closes: #694288)
  * Fix epoch in the version of the libqt4-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Nov 2012 22:34:19 +0100

soprano (2.7.6+dfsg.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - soprano does not use installdox anymore. (Closes: #674346)
  * Refresh the patches.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Generate the apidox only when libsoprano-doc is being built too.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Thu, 24 May 2012 19:50:21 +0200

soprano (2.7.5+dfsg.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Update uploaders (remove Armin).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Mar 2012 21:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: soprano
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Armin Berres <armin+debian@space-based.de>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.14.2ubuntu5),
- dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4.5.3),
- libraptor2-dev (>= 2.0.4), librdf0-dev (>= 1.0.13),
- doxygen (>= 1.7.1), graphviz, libvirtodbc0, unixodbc-dev
-Standards-Version: 3.9.2
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
+Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+ dpkg-dev (>= 1.15.5), libclucene-dev (>= 0.9.21b), libqt4-dev (>= 4:4.5.3),
+ libraptor1-dev (>= 1.4.16), librdf0-dev (>= 1.0.13),
+ doxygen (>= 1.7.1), graphviz, libiodbc2-dev
+Standards-Version: 3.9.3
 Homepage: http://soprano.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/soprano.git
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/soprano.git
@@ -16,7 +15,7 @@
 Package: soprano-daemon
 Section: utils
 Architecture: any
-Depends: libvirtodbc0, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libsoprano4 (= ${binary:Version})
 Suggests: virtuoso-minimal
 Breaks: libsoprano4 (<< 2.3.0+dfsg.1-1), libsoprano-dev (<< 2.3.0+dfsg.1-1)
@@ -71,6 +70,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: qt4-doc
+Breaks: libsoprano-dev (<< 2.6.0+dfsg.1-1)
+Replaces: libsoprano-dev (<< 2.6.0+dfsg.1-1)
 Description: developer documentation for the Soprano RDF framework
  Soprano is a pluggable RDF storage, parsing, and serialization framework based
  on Qt 4.  Soprano is targeted at desktop applications that need to store RDF
